Package org.apache.maven.scm.command.branch

## Class BranchScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.branch.BranchScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class BranchScmResult
    extends ScmResult

Author:
  Emmanuel Venisse, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`BranchScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`BranchScmResult​(java.lang.String commandLine, java.util.List<ScmFile> branchedFiles)`
`BranchScmResult​(java.util.List<ScmFile> branchedFiles, ScmResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ScmFile>` `getBranchedFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BranchScmResult

    public BranchScmResult​(java.lang.String commandLine,
                           java.lang.String providerMessage,
                           java.lang.String commandOutput,
                           boolean success)

#### BranchScmResult

    public BranchScmResult​(java.lang.String commandLine,
                           java.util.List<ScmFile> branchedFiles)

#### BranchScmResult

    public BranchScmResult​(java.util.List<ScmFile> branchedFiles,
                           ScmResult result)

### Method Detail

#### getBranchedFiles

    public java.util.List<ScmFile> getBranchedFiles()